--- title: "Edit member" slug: "mediaconnectcenter-membermodify" updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/mediaconnectcenter-membermodify" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Edit member Available in Classic and VPC Edit member information. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | PUT | /ncloudmcc/v1/companies/{companyId}/users/{externalKey} | ### Request headers For information about the headers common to all Media Connect Center APIs, see [Media Connect Center request headers](/docs/en/mediaconnectcenter-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `companyId` | String | Required | Integration key - Check from console: **Media Connect Center > Developers > Basic settings > Integration key** | | `externalKey` | String | Required | Member external key - See [Get member list](/docs/en/mediaconnectcenter-memberlistview). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `name` | String | Required | Member name | | `i18nNames` | Object | Optional | Member multilingual name | | `i18nNames.{locale}` | String | Optional | Member name by language - Enter in the `"Language code": "Value"` format. - Supported language codes: `ko_KR` \| `ja_JP` \| `en_US` - Example: `"ko_KR": "홍길동"`, `"en_US": "Hong Gil Dong"` | | `deptExternalKey` | String | Optional | Department external key - See [Get department list](/docs/en/mediaconnectcenter-deptslistview). | | `jobGradeExternalKey` | String | Optional | Job title external key - See [Get job title list](/docs/en/mediaconnectcenter-positionlistview). | | `jobPositionExternalKey` | String | Optional | Job position external key - See [Get job position list](/docs/en/mediaconnectcenter-joblistview). | | `telNo` | String | Optional | Phone number - Enter in the `{ISO 3166-1 country code}+{E.164 country number} {Phone number}` format - Example: `KR+82 0212345678` | | `cphNo` | String | Optional | Mobile phone number - Enter in the `{ISO 3166-1 country code}+{E.164 country number} {Phone number}` format - Example: `KR+82 01012345678` | | `localeTypeCd` | String | Optional | Locale code - `ko_KR` \| `ja_JP` \| `en_US` | | `tmznTypeCd` | String | Optional | Time zone code - See [Time zone code](/docs/en/mediaconnectcenter-membercreate#%ED%83%80%EC%9E%84%EC%A1%B4%EC%BD%94%EB%93%9C). | ### Request example The request example is as follows: ``` curl --location --request PUT 'https://ncloudmcc.apigw.ntruss.com/ncloudmcc/v1/companies/2b64fc1e-6e9c-40dc-8b40-991bcaada5ef/users/hg-user001' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'x-ncp-region_code: KR' \ --header 'Content-Type: application/json' \ --data-raw '{ "name": "Gildong Hong", "i18nNames": { "ko_KR": "홍길동", "en_US": "Hong Gildong" }, "deptExternalKey": "hg-tw-cd", "jobGradeExternalKey": "hg-grade-4", "jobPositionExternalKey": "hg-pstn-6", "telNo": "KR+82 0213572468", "cphNo": "KR+82 01012345678", "localeTypeCd": "ko_KR", "tmznTypeCd": "Asia/Seoul" }' ``` ## Response This section describes the response format. ### Response status codes For information about the HTTP status codes common to all Media Connect Center APIs, see [Media Connect Center response status codes](/docs/en/mediaconnectcenter-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example If the response is successful, the member information is edited along with the message `200 OK`.